> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List containers



## OpenAPI

````yaml /api-reference/openapi/controlplane.openapi.json get /containers
openapi: 3.0.0
info:
  title: levers9 controlplane API
  version: 1.0.0
  description: >-
    REST view of the levers9 controlplane gRPC service, served by the
    controlplane on port 1994. Authenticate with `Authorization: Bearer
    <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: ControlPlaneService
paths:
  /containers:
    get:
      tags:
        - ControlPlaneService
      summary: List containers
      operationId: ControlPlaneService_ListContainers
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/controlplaneListContainersResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    controlplaneListContainersResponse:
      type: object
      properties:
        containers:
          type: array
          items:
            $ref: '#/components/schemas/typesContainer'
        ok:
          type: boolean
        errorMsg:
          type: string
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    typesContainer:
      type: object
      properties:
        containerId:
          type: string
        stubId:
          type: string
        status:
          type: string
        scheduledAt:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
        workspaceId:
          type: string
        workerId:
          type: string
        machineId:
          type: string
        deploymentId:
          type: string
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.